Skip to navigation

Get pending grid orders

Retrieve a list of currently running (pending) grid algo orders.

Authentication

OK-ACCESS-KEYstring
Your API key.
OK-ACCESS-SIGNstring

Base64-encoded HMAC-SHA256 signature of the prehash string.

OK-ACCESS-TIMESTAMPstring

ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.

OK-ACCESS-PASSPHRASEstring
The passphrase you set when creating the API key.

Query parameters

algoOrdTypeenumRequired

Algo order type grid: Spot grid contract_grid: Contract grid

Allowed values:
algoIdstringOptional
Algo ID
instIdstringOptional

Instrument ID, e.g. BTC-USDT

instTypeenumOptional

Instrument type SPOT MARGIN FUTURES SWAP

Allowed values:
instFamilystringOptional
Instrument family, applicable to contract grid.
afterstringOptional

Pagination of data to return records earlier than the requested algoId.

beforestringOptional

Pagination of data to return records newer than the requested algoId.

limitstringOptional
Number of results per request. The maximum is 100. The default is 100

Response

Successful response
codestringOptional

Result code. 0 means success; any other value is an error code.

msgstringOptional
Error message. Empty on success.
datalist of objectsOptional